-- Structure: [draw_argument_id_of_damage_animation] = damage_multiplier
-- use damage_multiplier to make effect of specific damage stronger or weaker
-- KEEP LIST OF DAMAGE VARS AS SHORT AS POSSIBLE!
local damageVars = {
    [296] = 1,
    [297] = 1,
    [154] = 1,
    [153] = 1,
    [169] = 1,
    [163] = 1,
    [168] = 1,
    [162] = 1,
    [167] = 1,
    [161] = 1,
    [241] = 1,
    [242] = 1,
    [244] = 1,
    [143] = 1,
    [238] = 1,
    [240] = 1,
    [213] = 1,
    [214] = 1,
    [215] = 1,
    [223] = 1,
    [224] = 1,
    [225] = 1
}

local _api = {}

function _api.getCommonData(mainPanel)
    local result = FFBeast.getCommonData()
    result.ab = FFBeast.round(FFBeast.max(LoGetAircraftDrawArgumentValue(28), LoGetAircraftDrawArgumentValue(29)) * 100)
    result.dmg = FFBeast.getDamage(damageVars)
    result.name = "MiG-29"
    return result
end

FFBeast.modules["MiG-29A"] = _api
FFBeast.modules["MiG-29S"] = _api
FFBeast.modules["MiG-29G"] = _api
